VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
IListControlDrawer Class Referenceabstract
New classes » Version 4.9

The list control drawer interface. More...

`#include <clistcontrol.h>`

Inheritance diagram for IListControlDrawer:

## Classes
struct | Row

## Public Member Functions
virtual | ~IListControlDrawer () noexcept
virtual void | drawBackground (CDrawContext *context, CRect size)=0
virtual void | drawRow (CDrawContext *context, CRect size, Row row)=0
Public Member Functions inherited from IReference
virtual void | forget ()=0
| decrease refcount and delete object if refcount == 0
virtual void | remember ()=0
| increase refcount

## Detailed Description

The list control drawer interface.

This is used to do the actual drawing of the list control.

## Constructor & Destructor Documentation

## ◆ ~IListControlDrawer()

virtual ~IListControlDrawer | ( |  | ) |
| inline virtual noexcept

## Member Function Documentation

## ◆ drawBackground()

virtual void drawBackground | ( | CDrawContext * | context,
|  | CRect | size )
| pure virtual

Implemented in StringListControlDrawer.

## ◆ drawRow()

virtual void drawRow | ( | CDrawContext * | context,
|  | CRect | size,
|  | Row | row )
| pure virtual

Implemented in StringListControlDrawer.

The documentation for this class was generated from the following file:

- clistcontrol.h